Bug 1206231 - Dropping el6 support from vdsm.spec
Summary: Dropping el6 support from vdsm.spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yaniv Bronhaim
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 15:29 UTC by Yaniv Bronhaim
Modified: 2016-03-09 19:33 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
VDSM in Red Hat Enterprise Virtualization 3.6 no longer supports Red Hat Enterprise Linux 6. In this bug, el6 support was removed from the vdsm.spec file to reduce the maintenance required.
Clone Of:
Environment:
Last Closed: 2016-03-09 19:33:55 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 40726 None None None Never

Description Yaniv Bronhaim 2015-03-26 15:29:31 UTC
oVirt 3.6 vdsm (4.17.x) won't support el6. Therefore, we have a lot of code that we can drop

Comment 2 Pavel Novotny 2015-10-02 08:37:06 UTC
Verified in vdsm-4.17.8-1.el7ev (build 3.6.0-15).

Code change, verified in automation.
Basic regression test suite for hosts passed, list of tests executed:
022-ActivateInactiveHost_REST;activate_inactive_host
023-CreateHostWithEmptyRootPassword_REST;create_host_with_empty_root_password
024-CreateHostWithWrongIPAddress_REST;create_host_with_wrong_IP_address
025-ManualFenceForHost_REST;manual_fence_for_host
026-ReinstallActiveHost_REST;reinstall_active_host
027-ReinstallHost_REST;reinstall_host
028-RemoveActiveHost_REST;remove_active_host
029-SearchForHost_REST;search_for_host
030-SetActiveHostToMaintenanceForReinstallation_REST;set_active_host_to_maintenance
031-SetSPMToLow_REST;set_spm_to_low
032-TestActivateActiveHost_REST;activate_active_host
033-TestUpdateHostName_REST;update_host_name	
034-UpdateIPOfActiveHost_REST;update_ip_of_activeHost

Comment 4 Marina Kalinin 2015-12-14 16:48:49 UTC
Hi Yaniv,

Just to clarify, it will still be possible to run RHEL6 hosts under 3.5 compatibility mode in 3.6, but with older vdsm versions, right?

However, 3.6 vdsm  (4.17.x)  won't install/upgrade to on RHEL6 hosts.
If you run `yum update vdsm` on the host, it would not bring  vdsm.4.17.x and break the system.

Comment 11 errata-xmlrpc 2016-03-09 19:33:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html


Note You need to log in before you can comment on or make changes to this bug.